const styles = ["Джаз", "Блюз"];
document.write(styles + "<br/>");
var res = styles.push("Рок-н-ролл");
document.write(styles + "<br/>" + res + "<br/>");
var longStyles = Math.ceil(styles.length / 2);
document.write("Нужно заменить элемент массива " + longStyles + "<br/>");
var a = parseInt(longStyles);
styles[a-1] = ["Классика"];
document.write(styles + "<br/>");
document.write("Нужно удалить: " + styles.shift() + "<br/>");
document.write("Массив после удаления первого элемента: " + styles + "<br/>");
styles.unshift("Рэп", "Рэгги");
document.write("Массив после добавления двух первых элементов: " + styles + "<br/>");